package com.sun.xml.internal.org.jvnet.fastinfoset;

import java.io.OutputStream;
import java.util.Map;

public interface FastInfosetSerializer
{
    public static final String IGNORE_DTD_FEATURE = "http://jvnet.org/fastinfoset/serializer/feature/ignore/DTD";
    public static final String IGNORE_COMMENTS_FEATURE = "http://jvnet.org/fastinfoset/serializer/feature/ignore/comments";
    public static final String IGNORE_PROCESSING_INSTRUCTIONS_FEATURE = "http://jvnet.org/fastinfoset/serializer/feature/ignore/processingInstructions";
    public static final String IGNORE_WHITE_SPACE_TEXT_CONTENT_FEATURE = "http://jvnet.org/fastinfoset/serializer/feature/ignore/whiteSpaceTextContent";
    public static final String BUFFER_SIZE_PROPERTY = "http://jvnet.org/fastinfoset/parser/properties/buffer-size";
    public static final String REGISTERED_ENCODING_ALGORITHMS_PROPERTY = "http://jvnet.org/fastinfoset/parser/properties/registered-encoding-algorithms";
    public static final String EXTERNAL_VOCABULARIES_PROPERTY = "http://jvnet.org/fastinfoset/parser/properties/external-vocabularies";
    public static final int MIN_CHARACTER_CONTENT_CHUNK_SIZE = 0;
    public static final int MAX_CHARACTER_CONTENT_CHUNK_SIZE = 32;
    public static final int CHARACTER_CONTENT_CHUNK_MAP_MEMORY_CONSTRAINT = Integer.MAX_VALUE;
    public static final int MIN_ATTRIBUTE_VALUE_SIZE = 0;
    public static final int MAX_ATTRIBUTE_VALUE_SIZE = 32;
    public static final int ATTRIBUTE_VALUE_MAP_MEMORY_CONSTRAINT = Integer.MAX_VALUE;
    public static final String UTF_8 = "UTF-8";
    public static final String UTF_16BE = "UTF-16BE";
    
    public abstract void setIgnoreDTD(boolean p0);
    
    public abstract boolean getIgnoreDTD();
    
    public abstract void setIgnoreComments(boolean p0);
    
    public abstract boolean getIgnoreComments();
    
    public abstract void setIgnoreProcesingInstructions(boolean p0);
    
    public abstract boolean getIgnoreProcesingInstructions();
    
    public abstract void setIgnoreWhiteSpaceTextContent(boolean p0);
    
    public abstract boolean getIgnoreWhiteSpaceTextContent();
    
    public abstract void setCharacterEncodingScheme(String p0);
    
    public abstract String getCharacterEncodingScheme();
    
    public abstract void setRegisteredEncodingAlgorithms(Map p0);
    
    public abstract Map getRegisteredEncodingAlgorithms();
    
    public abstract int getMinCharacterContentChunkSize();
    
    public abstract void setMinCharacterContentChunkSize(int p0);
    
    public abstract int getMaxCharacterContentChunkSize();
    
    public abstract void setMaxCharacterContentChunkSize(int p0);
    
    public abstract int getCharacterContentChunkMapMemoryLimit();
    
    public abstract void setCharacterContentChunkMapMemoryLimit(int p0);
    
    public abstract int getMinAttributeValueSize();
    
    public abstract void setMinAttributeValueSize(int p0);
    
    public abstract int getMaxAttributeValueSize();
    
    public abstract void setMaxAttributeValueSize(int p0);
    
    public abstract int getAttributeValueMapMemoryLimit();
    
    public abstract void setAttributeValueMapMemoryLimit(int p0);
    
    public abstract void setExternalVocabulary(ExternalVocabulary p0);
    
    public abstract void setVocabularyApplicationData(VocabularyApplicationData p0);
    
    public abstract VocabularyApplicationData getVocabularyApplicationData();
    
    public abstract void reset();
    
    public abstract void setOutputStream(OutputStream p0);
}
